SEM(4)

NAME
sem - POSIX semaphores

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

options P1003_1B_SEMAPHORES

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    sem_load="YES"

    kldload sem

DESCRIPTION
The sem facility provides system calls used by the standard C library (libc) to implement POSIX semaphores. This facility offers support for such functions as sem_init() and sem_wait(). It is available both as a kernel option for static inclusion and as a dynamic kernel module.

SEE ALSO
sem_destroy(3), sem_getvalue(3), sem_init(3), sem_open(3), sem_post(3), sem_wait(3), config(8), kldload(8), kldunload(8)

HISTORY
The sem facility appeared in FreeBSD 5.0.